.form-control::-webkit-input-placeholder {
	color: var(--almost-black);
	opacity: 1;
}

.form-control::-moz-placeholder {
	color: var(--almost-black);
	opacity: 1;
}

.form-control::-ms-placeholder {
	color: var(--almost-black);
	opacity: 1;
}

.form-control::placeholder {
	color: var(--almost-black);
	opacity: 1;
}


.form-group { margin-bottom: 30px; }
	.form-control {
		border-radius: 0;
		font-size: 21px;
		line-height: 1;
		padding: 20px;
		height: calc(22px + 20px * 2 + 2px);
		color: var(--almost-black);
	}

	.form-control:focus,
	.bootstrap-select .dropdown-toggle:focus,
	.custom-file-input:focus ~ .custom-file-label,
	.custom-control-input:focus ~ .custom-control-label::before {
		outline: 0 !important;
		box-shadow: none;
		}

	.custom-control-input:focus:not(:checked)~.custom-control-label::before { border-color: #fff;  }

	.control-label,
	.custom-control-label,
	.custom-control label span {
		position: relative;
		font-size: 21px;
		line-height: 1.5;
	}

	.dropdown.bootstrap-select .dropdown-toggle {
		padding: 20px;
		font-size: 21px;
		line-height: 1;
		height: calc(22px + 20px * 2 + 2px);
		font-weight: 400;
		color: var(--almost-black);
		text-transform: none;
	}

	.dropdown.bootstrap-select .dropdown-toggle:after {
		content: url('../images/select-dropdown.svg');
		border: none;
		height: 19px;
		margin: 0;
		vertical-align: middle;
	}

	.form-group input,
	.form-group select,
	.form-group textarea { border: transparent; }
	.form-group textarea { resize: none; }

	.file-input {
		display: flex;
		flex-direction: row;
		justify-content: flex-end;
		align-items: center;
	}
		.file-input .file-preview {
			border: none;
			padding: 0;
			margin: 0;
			margin-right: 15px;
		}
			.file-input .file-preview .fileinput-remove,
			.file-input .file-preview .file-preview-status { display: none; }

			.file-input .file-preview .krajee-default.file-preview-frame {
				border: none;
				box-shadow: none;
				padding: 0;
				margin: 0;
			}
				.file-input .file-preview .krajee-default.file-preview-frame .file-thumbnail-footer { height: auto; }
					.file-input .file-preview .krajee-default.file-preview-frame .file-thumbnail-footer .file-footer-caption {
						margin: 0;
						padding: 0;
					}

					.file-input .file-preview .krajee-default.file-preview-frame .file-thumbnail-footer .file-upload-indicator,
					.file-input .file-preview .krajee-default.file-preview-frame  .file-thumbnail-footer .file-actions { display: none; }


.btn.btn-primary[type="submit"]:hover {
	color: var(--giulipas-blue);
	background-color: var(--white);
	border-color: var(--giulipas-blue);
}

/* .custom-file-label::after { content: "SFOGLIA"; } */
.custom-file-label {
	background: transparent;
	border: none;
	padding: 0;
	margin-bottom: 0;
	display: flex;
	flex-direction: row;
	align-items: center;
	font-size: 21px;
	line-height: 1.2;
	height: calc(20px + 20px * 2);
	color: var(--almost-black);
}

.custom-file,
.custom-file-input { height: calc(20px + 20px * 2); }

.custom-file-input {
	position: relative;
	z-index: 1;
}

.custom-file-label::after {
	content: attr(data-browse);
	margin: 0;
	line-height: 1;
	text-transform: uppercase;
	letter-spacing: var(--letter-spacing);
	text-decoration: none !important;
	padding: 1.25rem 1.875rem;
	font-size: 1.125rem;
	border-radius: 3.625rem;
	border: 1px solid var(--almost-black);
	color: var(--almost-black);
	background-color: transparent;
	height: 100%;
	text-align: center;
	transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
	display: flex;
	flex-direction: column;
	justify-content: center;
}

.custom-file-label:hover::after {
	cursor: pointer;
	color: #fff;
	background-color: var(--almost-black);
}

.custom-control.custom-checkbox { padding-left: 1rem; }
	.custom-checkbox .custom-control-label::before,
	.custom-checkbox label span::before {
		position: absolute;
		content: "";
		left: -2rem;
		width: 1.5rem;
		height: 1.5rem;
		background-color: #fff;
		border: #fff solid 1px;
		border-radius: 0;
	}

	.custom-checkbox .custom-control-input:checked ~ .custom-control-label::before,
	.custom-checkbox input:checked ~ span::before {
		color: #fff;
		border-color: #fff;
		background-color: #fff;
		border-radius: 0;
	}

	.custom-checkbox .custom-control-input:checked ~ .custom-control-label::after,
	.custom-checkbox input:checked ~ span::after {
		background-image: url("data:image/svg+xml,%3Csvg height='19.638' viewBox='0 0 25.132 19.638' width='25.132' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='m10448.226-1336 6.366 6.366 17.348-17.517' fill='none' stroke='%231342f0' stroke-width='2' transform='translate(-10447.519 1347.854)'/%3E%3C/svg%3E");
		background-size: auto;
		background-repeat: no-repeat;
	}

	.custom-checkbox .custom-control-label::after,
	.custom-checkbox label span::after {
		position: absolute;
		content: "";
		cursor: pointer;
		top: -0.3rem;
		left: -1.9rem;
		width: 2rem;
		height: 2rem;
	}



/* CF7 OUTPUT MESSAGES */

.wpcf7 form .wpcf7-response-output {
	padding: 1em 1.5em;
	border: none;
	font-size: 1.25rem;
	color: var(--white);
	background: rgb(0 0 0 / .25);
}

.wpcf7 form.failed .wpcf7-response-output,
.wpcf7 form.aborted .wpcf7-response-output,
.wpcf7 form.spam .wpcf7-response-output,
.wpcf7 form.unaccepted .wpcf7-response-output {
	background: rgb(220 50 50 / .65);
	color: var(--white);
}

.wpcf7 form.invalid .wpcf7-response-output {
	background: rgb(255 185 0 / 50);
	color: var(--almost-black);
}

.wpcf7 form.sent .wpcf7-response-output {
	color: var(--white);
	background-color: rgb(40 167 69 / .75);
}

.ajax-loader,
.wpcf7 .ajax-loader {
	display: block;
	border-radius: 50%;
	width: 10em;
	height: 10em;
	background-color: transparent;
	opacity: 1;
}

/* Reset loader standard di CF7 */
.wpcf7 .ajax-loader:before { content: none; }

.ajax-loader,
.wpcf7 .ajax-loader {
	margin: 60px auto;
	font-size: 10px;
	position: relative;
	text-indent: -9999em;
	border-top: .75em solid rgba(19, 66, 240, 0.2);
	border-right: .75em solid rgba(19, 66, 240, 0.2);
	border-bottom: .75em solid rgba(19, 66, 240, 0.2);
	border-left: .75em solid rgba(19, 66, 240, 1);
	-webkit-transform: translateZ(0);
	-ms-transform: translateZ(0);
	transform: translateZ(0);
	-webkit-animation: load8 1.1s infinite linear;
	animation: load8 1.1s infinite linear;
}

@-webkit-keyframes load8 {
	0% {
		-webkit-transform: rotate(0deg);
		transform: rotate(0deg);
	}

	100% {
		-webkit-transform: rotate(360deg);
		transform: rotate(360deg);
	}
}

@keyframes load8 {
	0% {
		-webkit-transform: rotate(0deg);
		transform: rotate(0deg);
	}

	100% {
		-webkit-transform: rotate(360deg);
		transform: rotate(360deg);
	}
}


.bootstrap-select > select { left: 0; }
